## libgeotiff-dfsg 1.3.0+dfsg

=== debian/changelog ===
libgeotiff-dfsg (1.3.0+dfsg-1) unstable; urgency=low

  * Moved to git repository on alioth.
  * Updated Vcs-* fields as required.
  * Moved to source format 3.0 and quilt.
  * Debhelper level set to 8.
  * Changed upstream version to reflect minor changes in upstream
    tarball which resulted in a bit trashed tree.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Nov 2011 14:49:37 +0100

libgeotiff-dfsg (1.3.0-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Updated some debian/* file for the new libgeotiff 1.3.
  * Updated the project homepage in debian/control.
  * Modified the package names with the proper major version in debian/control.
  * Added Alan as Uploader in debian/control.

  [ Francesco Paolo Lovergine ]
  * Now following the new SONAME for libgeotiff as adopted upstream: package
    name changed as consequence
  * Updated to use libjpeg-dev as build-dep.
    (closes: #634140)
  * Now original autoconf helpers file are restored at cleaning time, to
    be nice against SCMs.
  * Added Vcs-* fields in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Sep 2011 13:59:19 +0200

libgeotiff-dfsg (1.2.5-3) unstable; urgency=low

  * Added libtiff4-dev dependency for the -dev package due to required header
    files.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Jun 2009 23:43:17 +0200

libgeotiff-dfsg (1.2.5-2) unstable; urgency=low

  * Changed build-dep: proj -> libproj-dev.
  * Added listgeo.1 manpage, taken from trac. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Apr 2009 12:58:00 +0200

libgeotiff-dfsg (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Policy bumped to 3.8.1.
  * Debhelper compatibility set to 7.
  * Minor cleanups in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Mar 2009 13:44:01 +0100

libgeotiff-dfsg (1.2.4-4) unstable; urgency=high

  * Fixed soname patch and removed overriding of LD_SHARED in debian/rules
    (closes: #495349)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 03 Feb 2009 01:08:27 +0100

libgeotiff-dfsg (1.2.4-3) unstable; urgency=low

  * [Lintian] debian-rules-ignores-make-clean-error cleaned in debian/rules.
  * [Lintian] extended-description-line-too-long cleaned in debian/control.
  * [Lintian] substvar-source-version-is-deprecated cleaned in debian/control.
  * Introduced homepage field in debian/control.
  * Added installation path for libraries searching at dh_shlibdeps call.
  * Added LD_SHARED ovverride at building time in debian/rules to link against libc
    runtime also.
  * Policy bumped to 3.7.3.
  * Removing config.log at clean time for completeness.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 19 Dec 2007 13:25:57 +0100

libgeotiff-dfsg (1.2.4-2) unstable; urgency=high

  * Missing *.inc files added to /usr/include/geotiff.
    (closes: #447234)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Nov 2007 17:53:29 +0100

libgeotiff-dfsg (1.2.4-1) unstable; urgency=low

  * Initial release (closes: #418184)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  4 Apr 2007 20:45:27 +0200
