=== debian/control ===
Source: libgeotiff-dfsg
Priority: extra
Section: science
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
Build-Depends: debhelper (>= 8), autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff4-dev
Standards-Version: 3.9.2
Homepage: http://geotiff.osgeo.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libgeotiff-dfsg.git
Vcs-Git: git://git.debian.org/git/pkg-grass/libgeotiff-dfsg.git


Package: libgeotiff-dev
Section: libdevel
Architecture: any
Depends: libgeotiff2 (= ${binary:Version}), libtiff4-dev
Suggests: libgeotiff-epsg
Description: the GeoTIFF library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based 
 on the GeoTIFF library.

Package: libgeotiff2
Section: libs
Architecture: any
Suggests: geotiff-bin, gdal-bin, libgeotiff-epsg
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the GeoTIFF library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: geotiff-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdal-bin, libgeotiff-epsg
Description: the GeoTIFF library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.
