=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure 
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	mv config.sub config.sub.original
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	mv config.guess config.guess.original
	cp -f /usr/share/misc/config.guess config.guess
endif
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		    --includedir=\$${prefix}/include/geotiff

build: build-stamp
build-stamp:  config.status

	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch $@

clean: 
	dh_testdir
	dh_testroot

ifneq "$(wildcard /usr/share/misc/config.sub.original)" ""
	mv config.sub.original config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess.original)" ""
	mv config.guess.original config.guess
endif
	
	# Add here commands to clean up after the build process.
	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
	
	rm -f config.status config.log
	rm -f libgeotiff.* xtiffio.h newgeo.tif
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman $(CURDIR)/debian/listgeo.1
	dh_installexamples
	dh_install --list-missing --autodest
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps -l$(CURDIR)/debian/tmp/usr/lib
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install clean
