=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.remotesensing.org/pub/geotiff/libgeotiff/libgeotiff-([\d\.]+)\.tar\.gz debian uupdate
