## libgeotiff-dfsg 1.4.0

=== debian/changelog ===
libgeotiff-dfsg (1.4.0-1ubuntu2) trusty; urgency=medium

  * Patch aclocal.m4 and configure for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 20:07:48 +0100

libgeotiff-dfsg (1.4.0-1ubuntu1) trusty; urgency=medium

  * Use libtiff5-dev, instead of libtiff4-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 01:52:31 +0000

libgeotiff-dfsg (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.5.
  * Debhelper level set to 9.
  * Updated watch file to reflect current repo.
  * Set canonical Vcs-* fiedls.
  * Added misc-depends to -dev package.
  * Now using dh_ methods to update/restore autotools config.* stuff.
  * Introduced missing recommended build-* targets in debian/rules.
  * html docs dir is not more distributed in the original tarball,
    reintroduced as a debian patch (docs).
  * Annotated all patches.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Dec 2013 16:20:15 +0100
