=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libgeotiff-dfsg
 Priority: extra
 Section: science
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
-Build-Depends: debhelper (>= 8), autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper, autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff5-dev
+Standards-Version: 3.9.5
 Homepage: http://geotiff.osgeo.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/libgeotiff-dfsg.git
-Vcs-Git: git://git.debian.org/git/pkg-grass/libgeotiff-dfsg.git
+Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/libgeotiff-dfsg.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/libgeotiff-dfsg.git
 
 
 Package: libgeotiff-dev
 Section: libdevel
 Architecture: any
-Depends: libgeotiff2 (= ${binary:Version}), libtiff4-dev
+Depends: libgeotiff2 (= ${binary:Version}), libtiff5-dev, ${misc:Depends}
 Suggests: libgeotiff-epsg
 Description: the GeoTIFF library -- development files
  This C library supports TIFF 6.0 based interchange format for georeferenced
