=== debian/rules ===
--- 
+++ 
@@ -20,20 +20,16 @@
 
 config.status: configure 
 	dh_testdir
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	mv config.sub config.sub.original
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	mv config.guess config.guess.original
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autotools-dev_updateconfig
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 		    --includedir=\$${prefix}/include/geotiff
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:  config.status
 
 	dh_testdir
@@ -46,13 +42,7 @@
 clean: 
 	dh_testdir
 	dh_testroot
-
-ifneq "$(wildcard /usr/share/misc/config.sub.original)" ""
-	mv config.sub.original config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess.original)" ""
-	mv config.guess.original config.guess
-endif
+	dh_autotools-dev_restoreconfig
 	
 	# Add here commands to clean up after the build process.
 	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
@@ -73,11 +63,11 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: build-indep install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
