=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-([\d\.]+)\.tar\.gz debian uupdate
