=== debian/changelog ===
libgeotiff-dfsg (1.4.1-1build1) wily; urgency=medium

  * No change rebuild for libproj9

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 29 May 2015 10:29:41 -0500

libgeotiff-dfsg (1.4.1-1) unstable; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license specification for FSF licenses
    - Align copyright holders
    - Drop .0 from GPL license shortname
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 18:49:20 +0200

libgeotiff-dfsg (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use uscan and Files-Excluded in copyright file to remove non-free
    csv files, repack upstream tarball using xz compression.
  * Update Makefile.in patch to also drop installation of removed csv
    files in Makefile.am.
  * Update symbols for 1.4.1.
  * Add debug package for libgeotiff2.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Nov 2014 15:22:25 +0100

libgeotiff-dfsg (1.4.0-5) unstable; urgency=medium

  * Add Breaks/Replaces libgeotiff-dev on geotiff-bin, listgeo.1 man page
    was incorrectly included in libgeotiff-dev, it was added to geotiff-bin
    in 1.4.0-3 and removed from libgeotiff-dev in 1.4.0-4.
    (closes: #768141)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 05 Nov 2014 12:59:54 +0100

libgeotiff-dfsg (1.4.0-4) unstable; urgency=medium

  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Remove duplicate section field in package geotiff-bin.
  * Only install listgeo man page in package geotiff-bin.
  * Remove unused debian/listgeo.1.
  * Update copyright file using copyright-format 1.0.
  * Add symbols file for libgeotiff.
  * Change priority from extra to optional.
  * Use minimal dh rules.
  * Update control and install files for Multi-Arch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 24 Oct 2014 16:57:23 +0200

libgeotiff-dfsg (1.4.0-3) unstable; urgency=medium

  * Team Upload
  * Enable hardening
  * Update debian/control
  * Update short descriptions
  * Install manfile for listgeo.1
  * Fix macro error in manfile
  * Update debhelper dep to 9

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 22 Oct 2014 08:39:54 +0200

libgeotiff-dfsg (1.4.0-2) unstable; urgency=medium

  * Moved b-d to libtiff-dev.
    (closes: #736023)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 05 Mar 2014 10:05:37 +0100
