=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

GEOTIFF_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

%:
	dh $@ --with autotools_dev --parallel

override_dh_clean:
	dh_clean libgeotiff.* xtiffio.h newgeo.tif

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols
	dh_makeshlibs -- -c0 -v$(GEOTIFF_VERSION)

override_dh_strip:
	dh_strip --dbg-package=libgeotiff2-dbg

get-orig-source:
	uscan --verbose --force-download --rename --repack --compression xz
